LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
SimpleTextFormatter Service Reference

specifies a service which formats log records as single line plain text More...

`import"SimpleTextFormatter.idl";`

Inheritance diagram for SimpleTextFormatter:

## Public Member Functions
| create ()
| creates a SimpleTextFormatter instance More...
Public Member Functions inherited from XLogFormatter
string | getHead ()
| returns the header string for the log More...
string | format ([in] LogRecord Record)
| formats the given log record for output More...
string | getTail ()
| returns the footer string for the log More...

## Detailed Description

specifies a service which formats log records as single line plain text

Every log record, as passed to XLogFormatter::format(), will be formatted into a single text line, with just the log message being output. If the loglevel is WARNING, or SEVERE, the line will be prefixed accordingly.

Since
  LibreOffice 6.2

## Member Function Documentation

## ◆ create()

create | ( |  | ) |

creates a SimpleTextFormatter instance

The documentation for this service was generated from the following file:

- com/sun/star/logging/SimpleTextFormatter.idl